comparison configure @ 88122:c00e5514bf6b

Add a big "this branch is obsolete" error message to configure.in Revision: emacs@sv.gnu.org/emacs--multi-tty--0--patch-46
author Miles Bader <miles@gnu.org>
date Mon, 04 Feb 2008 02:41:07 +0000
parents 27d11c1d4e46
children
comparison
equal deleted inserted replaced
88121:74dbf77e41be 88122:c00e5514bf6b
410 exitcode=1 410 exitcode=1
411 echo positional parameters were not saved. 411 echo positional parameters were not saved.
412 fi 412 fi
413 413
414 test \$exitcode = 0") || { 414 test \$exitcode = 0") || {
415 echo Please tell bug-autoconf@gnu.org about your system, 415 echo No shell found that supports shell functions.
416 echo including any error possibly output before this message. 416 echo Please tell autoconf@gnu.org about your system,
417 echo This can help us improve future autoconf versions. 417 echo including any error possibly output before this
418 echo Configuration will now proceed without shell functions. 418 echo message
419 } 419 }
420 420
421 421
422 422
423 as_lineno_1=$LINENO 423 as_lineno_1=$LINENO
677 INSTALL_SCRIPT 677 INSTALL_SCRIPT
678 INSTALL_DATA 678 INSTALL_DATA
679 RANLIB 679 RANLIB
680 INSTALL_INFO 680 INSTALL_INFO
681 GZIP_PROG 681 GZIP_PROG
682 MAKEINFO
682 LIBSOUND 683 LIBSOUND
683 PKG_CONFIG 684 PKG_CONFIG
684 ALSA_CFLAGS 685 ALSA_CFLAGS
685 ALSA_LIBS 686 ALSA_LIBS
686 CFLAGS_SOUND 687 CFLAGS_SOUND
1788 ac_compiler_gnu=$ac_cv_c_compiler_gnu 1789 ac_compiler_gnu=$ac_cv_c_compiler_gnu
1789 1790
1790 1791
1791 ac_config_headers="$ac_config_headers src/config.h:src/config.in" 1792 ac_config_headers="$ac_config_headers src/config.h:src/config.in"
1792 1793
1794
1795 cat 1>&2 <<EOF
1796 ******************************************************************
1797 * *
1798 * The Emacs "multi-tty" branch has been merged into the *
1799 * CVS trunk, and is now obsolete. You should probably use *
1800 * the CVS trunk instead. *
1801 * *
1802 * To switch a CVS checkout to the trunk, use the command: *
1803 * *
1804 * cvs update -A *
1805 * *
1806 ******************************************************************
1807 EOF
1808 exit 1
1793 1809
1794 test "$program_prefix" != NONE && 1810 test "$program_prefix" != NONE &&
1795 program_transform_name="s&^&$program_prefix&;$program_transform_name" 1811 program_transform_name="s&^&$program_prefix&;$program_transform_name"
1796 # Use a double $ so make ignores it. 1812 # Use a double $ so make ignores it.
1797 test "$program_suffix" != NONE && 1813 test "$program_suffix" != NONE &&
5328 fi 5344 fi
5329 5345
5330 5346
5331 5347
5332 5348
5349 ## Need makeinfo >= 4.6 (?) to build the manuals.
5350 # Extract the first word of "makeinfo", so it can be a program name with args.
5351 set dummy makeinfo; ac_word=$2
5352 { echo "$as_me:$LINENO: checking for $ac_word" >&5
5353 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
5354 if test "${ac_cv_path_MAKEINFO+set}" = set; then
5355 echo $ECHO_N "(cached) $ECHO_C" >&6
5356 else
5357 case $MAKEINFO in
5358 [\\/]* | ?:[\\/]*)
5359 ac_cv_path_MAKEINFO="$MAKEINFO" # Let the user override the test with a path.
5360 ;;
5361 *)
5362 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5363 for as_dir in $PATH
5364 do
5365 IFS=$as_save_IFS
5366 test -z "$as_dir" && as_dir=.
5367 for ac_exec_ext in '' $ac_executable_extensions; do
5368 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
5369 ac_cv_path_MAKEINFO="$as_dir/$ac_word$ac_exec_ext"
5370 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5371 break 2
5372 fi
5373 done
5374 done
5375 IFS=$as_save_IFS
5376
5377 test -z "$ac_cv_path_MAKEINFO" && ac_cv_path_MAKEINFO="no"
5378 ;;
5379 esac
5380 fi
5381 MAKEINFO=$ac_cv_path_MAKEINFO
5382 if test -n "$MAKEINFO"; then
5383 { echo "$as_me:$LINENO: result: $MAKEINFO" >&5
5384 echo "${ECHO_T}$MAKEINFO" >&6; }
5385 else
5386 { echo "$as_me:$LINENO: result: no" >&5
5387 echo "${ECHO_T}no" >&6; }
5388 fi
5389
5390
5391 if test "$MAKEINFO" != "no" && \
5392 test x"`$MAKEINFO --version 2> /dev/null | $EGREP 'texinfo[^0-9]*([5-9]|4\.[6-9])'`" = x; then
5393 MAKEINFO=no
5394 fi
5395
5396 if test "$MAKEINFO" = "no"; then
5397 { { echo "$as_me:$LINENO: error: makeinfo >= 4.6 is required " >&5
5398 echo "$as_me: error: makeinfo >= 4.6 is required " >&2;}
5399 { (exit 1); exit 1; }; }
5400 fi
5401
5402
5403
5333 if test x$GCC = xyes && test "x$GCC_LINK_TEST_OPTIONS" != x 5404 if test x$GCC = xyes && test "x$GCC_LINK_TEST_OPTIONS" != x
5334 then 5405 then
5335 ac_link="$ac_link $GCC_LINK_TEST_OPTIONS" 5406 ac_link="$ac_link $GCC_LINK_TEST_OPTIONS"
5336 fi 5407 fi
5337 5408
11448 11519
11449 if test "$with_toolkit_scroll_bars" != no; then 11520 if test "$with_toolkit_scroll_bars" != no; then
11450 with_toolkit_scroll_bars=yes 11521 with_toolkit_scroll_bars=yes
11451 fi 11522 fi
11452 11523
11524 HAVE_GTK_MULTIDISPLAY=no
11453 11525
11454 for ac_func in gdk_display_open 11526 for ac_func in gdk_display_open
11455 do 11527 do
11456 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 11528 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
11457 { echo "$as_me:$LINENO: checking for $ac_func" >&5 11529 { echo "$as_me:$LINENO: checking for $ac_func" >&5
14251 MISSING="$MISSING libgif/libungif" && WITH_NO="$WITH_NO --with-gif=no" 14323 MISSING="$MISSING libgif/libungif" && WITH_NO="$WITH_NO --with-gif=no"
14252 test "${with_tiff}" != "no" && test "${HAVE_TIFF}" != "yes" && 14324 test "${with_tiff}" != "no" && test "${HAVE_TIFF}" != "yes" &&
14253 MISSING="$MISSING libtiff" && WITH_NO="$WITH_NO --with-tiff=no" 14325 MISSING="$MISSING libtiff" && WITH_NO="$WITH_NO --with-tiff=no"
14254 14326
14255 if test "X${MISSING}" != X; then 14327 if test "X${MISSING}" != X; then
14256 { { echo "$as_me:$LINENO: error: The following required libraries was not found: 14328 { { echo "$as_me:$LINENO: error: The following required libraries were not found:
14257 $MISSING 14329 $MISSING
14258 Maybe some development libraries/packages are missing? 14330 Maybe some development libraries/packages are missing?
14259 If you don't want to link with them give 14331 If you don't want to link with them give
14260 $WITH_NO 14332 $WITH_NO
14261 as options to configure" >&5 14333 as options to configure" >&5
14262 echo "$as_me: error: The following required libraries was not found: 14334 echo "$as_me: error: The following required libraries were not found:
14263 $MISSING 14335 $MISSING
14264 Maybe some development libraries/packages are missing? 14336 Maybe some development libraries/packages are missing?
14265 If you don't want to link with them give 14337 If you don't want to link with them give
14266 $WITH_NO 14338 $WITH_NO
14267 as options to configure" >&2;} 14339 as options to configure" >&2;}
18444 /* confdefs.h. */ 18516 /* confdefs.h. */
18445 _ACEOF 18517 _ACEOF
18446 cat confdefs.h >>conftest.$ac_ext 18518 cat confdefs.h >>conftest.$ac_ext
18447 cat >>conftest.$ac_ext <<_ACEOF 18519 cat >>conftest.$ac_ext <<_ACEOF
18448 /* end confdefs.h. */ 18520 /* end confdefs.h. */
18449 #include <sys/types.h> /* for off_t */ 18521 #include <stdio.h>
18450 #include <stdio.h>
18451 int 18522 int
18452 main () 18523 main ()
18453 { 18524 {
18454 int (*fp) (FILE *, off_t, int) = fseeko; 18525 return fseeko (stdin, 0, 0) && (fseeko) (stdin, 0, 0);
18455 return fseeko (stdin, 0, 0) && fp (stdin, 0, 0);
18456 ; 18526 ;
18457 return 0; 18527 return 0;
18458 } 18528 }
18459 _ACEOF 18529 _ACEOF
18460 rm -f conftest.$ac_objext conftest$ac_exeext 18530 rm -f conftest.$ac_objext conftest$ac_exeext
18490 _ACEOF 18560 _ACEOF
18491 cat confdefs.h >>conftest.$ac_ext 18561 cat confdefs.h >>conftest.$ac_ext
18492 cat >>conftest.$ac_ext <<_ACEOF 18562 cat >>conftest.$ac_ext <<_ACEOF
18493 /* end confdefs.h. */ 18563 /* end confdefs.h. */
18494 #define _LARGEFILE_SOURCE 1 18564 #define _LARGEFILE_SOURCE 1
18495 #include <sys/types.h> /* for off_t */ 18565 #include <stdio.h>
18496 #include <stdio.h>
18497 int 18566 int
18498 main () 18567 main ()
18499 { 18568 {
18500 int (*fp) (FILE *, off_t, int) = fseeko; 18569 return fseeko (stdin, 0, 0) && (fseeko) (stdin, 0, 0);
18501 return fseeko (stdin, 0, 0) && fp (stdin, 0, 0);
18502 ; 18570 ;
18503 return 0; 18571 return 0;
18504 } 18572 }
18505 _ACEOF 18573 _ACEOF
18506 rm -f conftest.$ac_objext conftest$ac_exeext 18574 rm -f conftest.$ac_objext conftest$ac_exeext
24403 INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim 24471 INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim
24404 INSTALL_DATA!$INSTALL_DATA$ac_delim 24472 INSTALL_DATA!$INSTALL_DATA$ac_delim
24405 RANLIB!$RANLIB$ac_delim 24473 RANLIB!$RANLIB$ac_delim
24406 INSTALL_INFO!$INSTALL_INFO$ac_delim 24474 INSTALL_INFO!$INSTALL_INFO$ac_delim
24407 GZIP_PROG!$GZIP_PROG$ac_delim 24475 GZIP_PROG!$GZIP_PROG$ac_delim
24476 MAKEINFO!$MAKEINFO$ac_delim
24408 LIBSOUND!$LIBSOUND$ac_delim 24477 LIBSOUND!$LIBSOUND$ac_delim
24409 PKG_CONFIG!$PKG_CONFIG$ac_delim 24478 PKG_CONFIG!$PKG_CONFIG$ac_delim
24410 ALSA_CFLAGS!$ALSA_CFLAGS$ac_delim 24479 ALSA_CFLAGS!$ALSA_CFLAGS$ac_delim
24411 ALSA_LIBS!$ALSA_LIBS$ac_delim 24480 ALSA_LIBS!$ALSA_LIBS$ac_delim
24412 CFLAGS_SOUND!$CFLAGS_SOUND$ac_delim 24481 CFLAGS_SOUND!$CFLAGS_SOUND$ac_delim
24436 lisppath!$lisppath$ac_delim 24505 lisppath!$lisppath$ac_delim
24437 x_default_search_path!$x_default_search_path$ac_delim 24506 x_default_search_path!$x_default_search_path$ac_delim
24438 etcdir!$etcdir$ac_delim 24507 etcdir!$etcdir$ac_delim
24439 archlibdir!$archlibdir$ac_delim 24508 archlibdir!$archlibdir$ac_delim
24440 bitmapdir!$bitmapdir$ac_delim 24509 bitmapdir!$bitmapdir$ac_delim
24441 gamedir!$gamedir$ac_delim
24442 _ACEOF 24510 _ACEOF
24443 24511
24444 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then 24512 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
24445 break 24513 break
24446 elif $ac_last_try; then 24514 elif $ac_last_try; then
24478 24546
24479 24547
24480 ac_delim='%!_!# ' 24548 ac_delim='%!_!# '
24481 for ac_last_try in false false false false false :; do 24549 for ac_last_try in false false false false false :; do
24482 cat >conf$$subs.sed <<_ACEOF 24550 cat >conf$$subs.sed <<_ACEOF
24551 gamedir!$gamedir$ac_delim
24483 gameuser!$gameuser$ac_delim 24552 gameuser!$gameuser$ac_delim
24484 c_switch_system!$c_switch_system$ac_delim 24553 c_switch_system!$c_switch_system$ac_delim
24485 c_switch_machine!$c_switch_machine$ac_delim 24554 c_switch_machine!$c_switch_machine$ac_delim
24486 LD_SWITCH_X_SITE!$LD_SWITCH_X_SITE$ac_delim 24555 LD_SWITCH_X_SITE!$LD_SWITCH_X_SITE$ac_delim
24487 LD_SWITCH_X_SITE_AUX!$LD_SWITCH_X_SITE_AUX$ac_delim 24556 LD_SWITCH_X_SITE_AUX!$LD_SWITCH_X_SITE_AUX$ac_delim
24491 opsysfile!$opsysfile$ac_delim 24560 opsysfile!$opsysfile$ac_delim
24492 carbon_appdir!$carbon_appdir$ac_delim 24561 carbon_appdir!$carbon_appdir$ac_delim
24493 LTLIBOBJS!$LTLIBOBJS$ac_delim 24562 LTLIBOBJS!$LTLIBOBJS$ac_delim
24494 _ACEOF 24563 _ACEOF
24495 24564
24496 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 11; then 24565 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 12; then
24497 break 24566 break
24498 elif $ac_last_try; then 24567 elif $ac_last_try; then
24499 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 24568 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
24500 echo "$as_me: error: could not make $CONFIG_STATUS" >&2;} 24569 echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
24501 { (exit 1); exit 1; }; } 24570 { (exit 1); exit 1; }; }